package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@ApiModel("根据设备订单号查询设备订单信息实体")
public class MacQueryOrdByMacOrdIdDTO implements Serializable {
   @ApiModelProperty("设备订单号")
   private @NotBlank(
   message = "设备订单id不能为空"
) String macOrdId;
   @ApiModelProperty("设备sn码")
   private String machineSn;

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

}
